<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSummarySyntax.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../Syntax.html" >Syntax</a>
</div><div class="class-name">class CxxSummarySyntax

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/Syntax.py.html" target="detail">../Synopsis/Formatters/DocBook/Syntax.py</a></div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line159" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="CxxSummarySyntax-inheritance" src="CxxSummarySyntax-inheritance.png" hspace="8" vspace="8" border="0" usemap="#CxxSummarySyntax-inheritance_map" />
<map name="CxxSummarySyntax-inheritance_map"><area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/CxxSyntax.html" href="CxxSyntax.html" shape="rect" coords="33, 82, 329, 106" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" href="Syntax.html" shape="rect" coords="44, 7, 319, 31" />
</map>
 <div class="doc">Generate DocBook Synopsis for C++ declarations.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">output</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line162" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="finish">finish</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.finish" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line166" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_macro">visit_macro</a>(<span class="variable">self</span>, <span class="variable">macro</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_macro" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line169" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_forward">visit_forward</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_forward" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line175" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_group">visit_group</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_group" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line176" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_module">visit_module</a>(<span class="variable">self</span>, <span class="variable">module</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_module" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line179" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_class" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line182" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class_template">visit_class_template</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_class_template" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line185" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enumerator">visit_enumerator</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_enumerator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line187" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enum">visit_enum</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_enum" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line193" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_inheritance">visit_inheritance</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Syntax.CxxSummarySyntax.visit_inheritance" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Syntax.py.html#line200" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Methods Inherited from CxxSyntax">
<tr><td colspan="2" class="heading">Methods Inherited from CxxSyntax</td></tr>
<tr><td class="inherited"><a href="CxxSyntax.html#visit_function" title="method CxxSyntax.visit_function">visit_function</a>,
<a href="CxxSyntax.html#visit_parameter" title="method CxxSyntax.visit_parameter">visit_parameter</a>,
<a href="CxxSyntax.html#visit_typedef" title="method CxxSyntax.visit_typedef">visit_typedef</a>,
<a href="CxxSyntax.html#visit_variable" title="method CxxSyntax.visit_variable">visit_variable</a>,
<a href="CxxSyntax.html#visit_const" title="method CxxSyntax.visit_const">visit_const</a>,
<a href="CxxSyntax.html#visit_builtin_type_id" title="method CxxSyntax.visit_builtin_type_id">visit_builtin_type_id</a>,
<a href="CxxSyntax.html#visit_unknown_type_id" title="method CxxSyntax.visit_unknown_type_id">visit_unknown_type_id</a>,
<a href="CxxSyntax.html#visit_declared_type_id" title="method CxxSyntax.visit_declared_type_id">visit_declared_type_id</a>,
<a href="CxxSyntax.html#visit_modifier_type_id" title="method CxxSyntax.visit_modifier_type_id">visit_modifier_type_id</a>,
<a href="CxxSyntax.html#visit_array_type_id" title="method CxxSyntax.visit_array_type_id">visit_array_type_id</a>,
<a href="CxxSyntax.html#visit_template_id" title="method CxxSyntax.visit_template_id">visit_template_id</a>,
<a href="CxxSyntax.html#visit_parametrized_type_id" title="method CxxSyntax.visit_parametrized_type_id">visit_parametrized_type_id</a>,
<a href="CxxSyntax.html#visit_function_type_id" title="method CxxSyntax.visit_function_type_id">visit_function_type_id</a>,
<a href="CxxSyntax.html#visit_dependent_type_id" title="method CxxSyntax.visit_dependent_type_id">visit_dependent_type_id</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from Syntax">
<tr><td colspan="2" class="heading">Attributes Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#output" title="attribute Syntax.output">output</a></td></tr></table>
<table width="100%" summary="Methods Inherited from Syntax">
<tr><td colspan="2" class="heading">Methods Inherited from Syntax</td></tr>
<tr><td class="inherited"><a href="Syntax.html#typeid" title="method Syntax.typeid">typeid</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
